#
# Conditional build:
%bcond_with	mmx		# use MMX instructions
%bcond_with	sse2		# use SSE2 instructions
#
%ifarch athlon pentium3 pentium4
%define		with_mmx	1
%endif
%ifarch %{x8664}
%define		with_sse2	1
%endif
Summary:	Terminal for Enlightenment
Summary(es.UTF-8):	Terminal para Enlightenment
Summary(pl.UTF-8):	Terminal dla Enlightenmenta
Summary(pt_BR.UTF-8):	Eterm versão %{version}
Name:		Eterm
Version:	0.9.6
Release:	2
License:	BSD
Group:		X11/Applications
Source0:	http://www.eterm.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	90e424584c22d4050496874d14f78bb1
Source1:	http://www.eterm.org/download/%{name}-bg-%{version}.tar.gz
# Source1-md5:	e8c6567b13d7fb760bded56c1d1a181d
Source2:	%{name}.desktop
Source3:	Escreen.desktop
Source4:	gnome-eterm.png
Patch0:		%{name}-am_fix.patch
Patch1:		%{name}-keys-theme.patch
Patch2:		%{name}-ac_am.patch
Patch3:		%{name}-imlib.patch
URL:		http://www.eterm.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	freetype1-devel
BuildRequires:	imlib2-devel >= 1.0.3
BuildRequires:	libast-devel >= 0.6
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	pcre-devel
BuildRequires:	screen
BuildRequires:	sed >= 4.0
BuildRequires:	twin-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXres-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eterm is a color vt102 terminal emulator intended as an xterm(1)
replacement for users who want a term program integrated with
Enlightenment, or simply want a little more "eye candy". Eterm uses
Imlib for advanced graphic abilities.

%description -l es.UTF-8
Eterm es un emulador de terminal vt102 con soporte para colores,
desarrollado como un sustituto para el emulador xterm, para los
usuarios que deseen un emulador de terminal integrado con la
iluminación, o simplemente deseen algo más agradable visualmente. El
emulador Eterm usa Imlib para trabajar con gráficos.

%description -l pl.UTF-8
Eterm jest kolorowym emulatorem terminala vt102 mogącym być
zamiennikiem xterm(1) dla użytkowników chcących mieć program
terminalowy zintegrowany z zarządcą okienek o nazwie Enlightenment lub
dla tych którzy chcą mieć trochę bardziej urozmaicony wygląd tego typu
programu. Eterm używa biblioteki IMlib do zaawansowanego operowania na
grafice.

%description -l pt_BR.UTF-8
O Eterm -- versão %{version} -- é um emulador de terminal vt102 com
suporte a cores, desenvolvido para ser um substituto para o xterm,
para os usuários que queiram um emulador de terminal integrado com o
Enlightenment, ou simplesmente queiram algo mais agradável para os
olhos. O Eterm usa a Imlib para trabalhar com gráficos.

%package -n Esetroot
Summary:	Utility to set root pixmap
Summary(pl.UTF-8):	Aplikacja ustawiająca tło nadrzędnego okna
Group:		X11/Window Managers/Tools
Provides:	WallpaperChanger

%description -n Esetroot
This program enables non-Enlightenment users to use
pseudotransparency.

%description -n Esetroot -l pl.UTF-8
Program ten umożliwia korzystanie z pseudoprzezroczystości
użytkownikom zarządców okien innych niż Enlightenment.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

find themes/ -name "*.cfg*" -exec \
	sed -i 's/<Eterm-0\.9\..>/<Eterm-%{version}>/' "{}" ";"

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# libast 0.8.0 no longer defines MEMSET
CPPFLAGS="%{rpmcppflags} -DMEMSET=memset"
%configure \
	--disable-static	\
	--enable-shared		\
	--enable-escreen	\
	--enable-etwin		\
	--enable-escreen-fx	\
	--enable-profile	\
	--enable-trans		\
%if %{with mmx}
	--enable-mmx		\
%else
	--disable-mmx		\
%endif
%if %{with sse2}
	--enable-sse2		\
%else
	--disable-sse2		\
%endif
	--enable-utmp		\
	--enable-auto-encoding	\
	--enable-multi-charset	\
	--disable-stack-trace	\
	--enable-name-reporting-escapes \
	--without-debugging
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libEterm.{so,la}

cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/*.html ReleaseNotes* ChangeLog
%attr(755,root,root) %{_bindir}/Eterm
%attr(755,root,root) %{_bindir}/Etbg
%attr(755,root,root) %{_bindir}/Etcolors
%attr(755,root,root) %{_bindir}/Ettable
%attr(755,root,root) %{_bindir}/Etbg_update_list
%attr(755,root,root) %{_bindir}/Etsearch
%attr(755,root,root) %{_libdir}/libEterm-%{version}.so
%{_mandir}/man1/Eterm.1*
%{_datadir}/Eterm
%{_desktopdir}/Escreen.desktop
%{_desktopdir}/Eterm.desktop
%{_pixmapsdir}/gnome-eterm.png

%files -n Esetroot
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Esetroot
%attr(755,root,root) %{_bindir}/kEsetroot
%changelog
* Thu Feb 09 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Eterm.git;a=log;h=master

* Thu Feb 09 2023 Jakub Bogusz <qboosh@pld-linux.org> bf3ce25
- release 2

* Thu Feb 09 2023 Jakub Bogusz <qboosh@pld-linux.org> f2ddf3d
- updated xorg dependencies

* Thu Feb 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 2ad51ad
- explicit files, lib cleanup

* Thu Feb 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 70dac68
- added imlib patch, define MEMSET to fix build with current imlib2 and libast

* Wed Jun 01 2011 zbyniu <zbyniu@pld-linux.org> 764e7da
- up to 0.9.6

* Wed Apr 13 2011 lisu <lisu@pld-linux.org> f21f11f
- drop obsoleted BR: utempter-devel

* Sat Jan 10 2009 pawelz <pawelz@pld-linux.org> b37e6fd
- up to 0.9.5 (onsly src and md5)

* Sat Jan 10 2009 pawelz <pawelz@pld-linux.org> 0f526de
- Esetroot provides WallpaperChanger
- cosmetics (killed extra spaces)

* Sun Jun 22 2008 Karol Krenski <charles@pld-linux.org> cf03fbb
- fix build

* Sun Jun 22 2008 Karol Krenski <charles@pld-linux.org> 718ef34
- added -ac_am.patch (fix build)

* Tue Jun 03 2008 Karol Krenski <charles@pld-linux.org> 437f3e2
- BR: xorg-lib-libXt-devel

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> a10fad1
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3841e9b
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d0e7e2a
- converted to UTF-8

* Sat Dec 02 2006 sparky <sparky@pld-linux.org> 83d6f3c
- removed transparent margins

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 4d3b11a
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Wed Oct 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 27fa8d1
- outdated

* Wed Oct 04 2006 Jakub Bogusz <qboosh@pld-linux.org> d386534
- Esetroot descs formatting

* Wed Oct 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 539bf25
- allow to enable mmx/sse2 on other subarchs (like i686)

* Wed Sep 27 2006 Elan Ruusamäe <glen@pld-linux.org> 38392c8
- drop non-cvs changelog (changelog truncation confuses chronological order)

